<?xml version="1.0" encoding="iso-8859-1" ?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- 	Generates an empty HTML TABLE with 'Rows' rows and 'Cols' columns 
 	P. Kilpelinen, May 2005 -->

<!-- Top-level parameters and their default values: -->

<xsl:param name="Rows" select="2"/> 
<xsl:param name="Cols" select="5"/> 


<xsl:template name="createRows"> 
  <xsl:param name="thisRowNum" select="1" />

  <!-- COMPLETE THIS METHOD -->

</xsl:template> <!-- name="createRows" --> 


<xsl:template match="/">
  <HTML><HEAD><TITLE>A <xsl:value-of 
	select="concat($Rows, ' x ', $Cols)" /> table </TITLE>
   </HEAD>
   <BODY>
     <TABLE  border="1" cellSpacing="0" cellpadding="2">
       <TBODY>
  	<xsl:call-template name ="createRows">
  	</xsl:call-template> 
       </TBODY>
     </TABLE>
   </BODY>
  </HTML>
</xsl:template>


</xsl:transform>
