<xsl:transform version="1.0"
      xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:template match="org">
  <HTML><HEAD><TITLE>Report of <xsl:value-of select="name" /></TITLE>
   </HEAD>
   <BODY><H1><xsl:value-of select="name" /></H1>
     Main office address: <xsl:value-of select="'GET IT HERE'" /> 
     <BR/> 
     Total number of employees: <xsl:value-of 
			select="'COUNT THEM HERE'" />
    <H2>Divisions and departments</H2>
    <xsl:apply-templates select="*" />
   </BODY>
  </HTML>
</xsl:template>

<xsl:template match="div">
  <H3>Division <xsl:value-of select="name" /></H3>
  Office address: <xsl:value-of select="'GET IT HERE'" /> <BR /> 
  Number of employees: <xsl:value-of select="'COUNT THEM HERE'" />
  <xsl:apply-templates select="*" />
</xsl:template>

<xsl:template match="dept">
  <H4>Department <xsl:value-of select="name" />
    <xsl:if test="parent::*"
     > (NAME OF PARENT Division ONLY IF THE DEPT BELONGS TO SUCH)</xsl:if
   ></H4>
  Address: <xsl:value-of select="addr" /> <BR/> 
  Number of employees: <xsl:value-of select="'COUNT THEM HERE'" />
</xsl:template>

</xsl:transform>
