<xsl:transform version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text" encoding="iso-8859-1" />

<xsl:template match="/">
  <xsl:apply-templates select="//city" />
OVERALL: 
    Min: <xsl:for-each select="//obs">
      <xsl:if test="not('OTHER obs WITH LOWER OR EQUAL temp')" >
        <xsl:variable name="Min" select="@temp" />
        <xsl:value-of select="$Min" />
      </xsl:if>
    </xsl:for-each>
    AVG: <xsl:value-of 
		select="format-number(sum(//obs/@temp) div count(//obs), '+#0.0;-#0.0' )" />
    Max: <xsl:for-each select="//obs">
           <xsl:if test="not('OTHER obs WITH HIGHER OR EQUAL temp')" >
              <xsl:variable name="Max" select="@temp" />
              <xsl:value-of select="format-number($Max, '+#0.0;-#0.0')" />  
           </xsl:if>
    </xsl:for-each>
    <xsl:text> 
</xsl:text>
</xsl:template>

<xsl:template match="city">
  <xsl:value-of select="@name" /> 
    Min: <xsl:for-each select="obs">
       <xsl:if test="not('SIBLING WITH LOWER OR EQUAL TEMP')" >
	    <xsl:value-of select="translate(@temp, '.', ',')" />
       </xsl:if>
    </xsl:for-each>
    AVG: (OF CITY OBSERVATIONS HERE)
    Max:  <xsl:for-each select="obs">
       <xsl:if test="not('SIBLING WITH HIGHER OR EQUAL TEMP')" >
	    <xsl:value-of select="format-number(@temp, '+#0.0;-#0.0' )" />
       </xsl:if>
    </xsl:for-each>
    <xsl:text> 
</xsl:text>
</xsl:template>

</xsl:transform>
